Update AutomationTemplate
Update AutomationTemplate.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
automation_template_id
ID of the AutomationTemplate.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
description
Updated human-readable description. Must be at most 1500 characters. Set to null to clear the existing description; omit to leave it unchanged.
name
shouldPublish
templateCollectionId
Response
OK
__typename
archiveReason
archived
configVariables
createdAt
createdFromPipeline
creator
dataFrameVariables
id
modifiedAt
name
steps
templateCollection
webUrl
Errors
400
Automation Template Update Request Bad Request Error
403
Automation Template Update Request Forbidden Error
404
Automation Template Update Request Not Found Error
409
Automation Template Update Request Conflict Error
429
Automation Template Update Request Too Many Requests Error
500
Automation Template Update Request Internal Server Error